org.apache.ignite.configuration

## Class SystemDataRegionConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.SystemDataRegionConfiguration

- All Implemented Interfaces:
    Serializable

      public class SystemDataRegionConfiguration
      extends Object
      implements Serializable

  This class allows defining system data region configuration with various parameters for Apache Ignite page memory (see `DataStorageConfiguration`. This class is similiar to `DataRegionConfiguration`, but with restricted set of properties.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DFLT_SYS_REG_INIT_SIZE` Default initial size in bytes of a memory chunk for the system cache (40 MB).
    `static long` | `DFLT_SYS_REG_MAX_SIZE` Default max size in bytes of a memory chunk for the system cache (100 MB).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemDataRegionConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getInitialSize()` Initial size of a data region reserved for system cache.
    `long` | `getMaxSize()` Maximum data region size in bytes reserved for system cache.
    `SystemDataRegionConfiguration` | `setInitialSize(long initSize)` Sets initial size of a data region reserved for system cache.
    `SystemDataRegionConfiguration` | `setMaxSize(long maxSize)` Sets maximum data region size in bytes reserved for system cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_SYS_REG_INIT_SIZE

          public static final long DFLT_SYS_REG_INIT_SIZE

      Default initial size in bytes of a memory chunk for the system cache (40 MB).
      See Also:
        Constant Field Values

    - #### DFLT_SYS_REG_MAX_SIZE

          public static final long DFLT_SYS_REG_MAX_SIZE

      Default max size in bytes of a memory chunk for the system cache (100 MB).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SystemDataRegionConfiguration

          public SystemDataRegionConfiguration()

  - ### Method Detail

    - #### getInitialSize

          public long getInitialSize()

      Initial size of a data region reserved for system cache.
      Returns:
        Size in bytes.

    - #### setInitialSize

          public SystemDataRegionConfiguration setInitialSize(long initSize)

      Sets initial size of a data region reserved for system cache. Default value is `DFLT_SYS_REG_INIT_SIZE`
      Parameters:
        `initSize` - Size in bytes.
      Returns:
        `this` for chaining.

    - #### getMaxSize

          public long getMaxSize()

      Maximum data region size in bytes reserved for system cache.
      Returns:
        Size in bytes.

    - #### setMaxSize

          public SystemDataRegionConfiguration setMaxSize(long maxSize)

      Sets maximum data region size in bytes reserved for system cache. The total size should not be less than 10 MB due to internal data structures overhead. Default value is `DFLT_SYS_REG_MAX_SIZE`.
      Parameters:
        `maxSize` - Maximum size in bytes for system cache data region.
      Returns:
        `this` for chaining.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023